<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AttachReference StructType
 * @subpackage Structs
 */
abstract class AttachReference extends AbstractStructBase
{
    /**
     * The attachTo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \StructType\BaseRef
     */
    public $attachTo;
    /**
     * Constructor method for AttachReference
     * @uses AttachReference::setAttachTo()
     * @param \StructType\BaseRef $attachTo
     */
    public function __construct(\StructType\BaseRef $attachTo = null)
    {
        $this
            ->setAttachTo($attachTo);
    }
    /**
     * Get attachTo value
     * @return \StructType\BaseRef
     */
    public function getAttachTo()
    {
        return $this->attachTo;
    }
    /**
     * Set attachTo value
     * @param \StructType\BaseRef $attachTo
     * @return \StructType\AttachReference
     */
    public function setAttachTo(\StructType\BaseRef $attachTo = null)
    {
        $this->attachTo = $attachTo;
        return $this;
    }
}
